//---------------------------------------------------------------------------
#ifndef bibliojogoH
#define bibliojogoH
#define DIM 10
//---------------------------------------------------------------------------
#endif



void preenche(char m[][DIM], int nlinhas, int ncolunas);
void preenchefim(char m[][DIM], char a[][DIM], char b[][DIM], int nlinhas, int ncolunas);
void mostra_tabuleiro(char m[][DIM], int nlinhas, int ncolunas);
void colocanavios(char m[][DIM], int dimbarco);
int valida(char m[][DIM], int linha, int coluna, char direccao, int dim_barco);
void ganhou();
